SDL_ReloadGamepadMappings(3)

NAME
SDL_ReloadGamepadMappings - Reinitialize the SDL mapping database to its initial state.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_ReloadGamepadMappings(void);

DESCRIPTION
This will generate gamepad events as needed if device mappings change.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.